Description: Bonjour,

je rencontre un probléme avec l'identification automatique des étudiants.

Le scan des copies corrigées semble étre correct, le logiciel arrive a bien identifier

les réponses, mais il ne parvient pas a lire le code.

J'ai utilisé le \AMCCodeH dans le source, est-ce qu'il faut changer quelques paramétres du logiciel pour
permettre la bonne identification du code ?

Ci-joint je vous envoie le fichier log généré. A la fin, on voit que le code éléve lu du fichier PDF est
-1-1-1-1-1-1-1,

Quelles sont les consignes a respecter pour une correcte identification du code ?

Merci d'avance de votre réponse.

History

11/07/2018 07:26 pm - Frédéric Bréal
Vous avez bien

<pre>

\AMCCodeH({truc}{identifiant colonne}
</pre>

avec _truc_ ce que vous voulez et _identifiant colonne_ I'en-téte de la colonne du fichier csv avec les numéros des étudiants ?

11/07/2018 08:33 pm - Gianluca Quercini
Gérard Carpeaux wrote:

> Vous avez bien
> avec _truc_ ce que vous voulez et _identifiant colonne_ I'en-téte de la colonne du fichier csv avec les numéros des étudiants ?

Merci de cette réponse rapide!!

Nous avons \AMCCodeH{truci{nombre} ou truc est un identifiant et nombre le nombre de chiffres du codage.
Dans la doc

https://www.auto-multiple-choice.net/auto-multiple-choice.fr/latex.shtml#latex.codes

on voit que le deuxiéme argument est un numéro et pas un identifiant...ou je me trompe ?

11/07/2018 09:50 pm - Frédéric Bréal

- File amccode.png added

Vous avez raison, c'est moi qui ai mélangé deux choses :
<pre>
\AMCCodeH({truc}{nombre}

</pre>
et lorsque vous chercher a associer les copies, il faut indiquer a AMC que truc correspond a identifiant colonne du fichier csv lorsque vous avez corrigé

les copies.

Mon code est le suivant
<pre>
\AMCCodeH{code}{3}
</pre>

et mon fichier csv

<pre>

nom, prenom, identifiant
</pre>

ou identifiant est un nombre a 3 chiffres.

11/07/2018 10:18 pm - Gianluca Quercini
C'est bien ce que je fais, mais hélas, pas de succes.
Je vais essayer d'autres manip demain matin, au pire je ferai une association manuelle, il doit y avoir quelque chose dans

le code Latex qui géne.

Merci de votre support.

Gianluca

Gérard Carpeaux wrote:

> Vous avez raison, c'est moi qui ai mélangé deux choses :

> [...]

> et lorsque vous chercher a associer les copies, il faut indiquer a AMC que truc correspond a identifiant colonne du fichier csv lorsque vous avez
corrigé les copies.

>

> Mon code est le suivant

> et mon fichier csv

> ou identifiant est un nombre a 3 chiffres.

11/08/2018 07:39 am - Alexis Bienveniie
Quelle version d'AMC utilisez-vous ?
Utilisez-vous un bareme par défaut particulier ?
> Ci-joint je vous envoie le fichier log généré.

Pouvez-vous l'envoyer ?

11/08/2018 11:17 am - Gianluca Quercini
En fait, j'ai trouvé. Le feuille de style latex que j'utilisai n'était pas compatible avec la version du logiciel.
Donc maintenant tout va a merveille.

Merci de votre soutien.

Alexis Bienveniie wrote:
> Quelle version d'AMC utilisez-vous ?
> Utilisez-vous un bareme par défaut particulier ?

> > Ci-joint je vous envoie le fichier log généré.
> Pouvez-vous l'envoyer ?

11/08/2018 11:24 am - Alexis Bienveniie

- Status changed from New to Closed

- % Done changed from 0 to 100
